Last modified: 2014-03-12 17:34:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 54951 - Rename namespace module to Malayalam in Malayalam language wikis
Rename namespace module to Malayalam in Malayalam language wikis
Status: NEW
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
wmf-deployment
All All
: Lowest enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 56295 58074
  Show dependency treegraph
 
Reported: 2013-10-04 02:25 UTC by praveenp
Modified: 2014-03-12 17:34 UTC (History)
12 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description praveenp 2013-10-04 02:25:11 UTC
Please rename namespace "Module" to Malayalam in Malayalam language wikis. 


Module = ഘടകം
Module talk = ഘടകത്തിന്റെ_സംവാദം

And also put these aliases: 'Module' and 'Module_talk' themselves and 'ഘ' (for Module) 'ഘസം' (for Module talk) as short aliases.

Community notification: https://ml.wikipedia.org/wiki/?oldid=1838664#Module_Namespace

Wikis:
ml.wiktionary.org
ml.wikiquote.org
ml.wikisource.org
ml.wikibooks.org
ml.wikipedia.org
Comment 1 This, that and the other (TTO) 2013-10-04 07:31:10 UTC
The name of the "Module" namespace needs to be fixed in the Scribunto software itself, and that could take some time.

The aliases can be added separately.
Comment 2 Gerrit Notification Bot 2013-10-04 07:36:13 UTC
Change 87515 had a related patch set uploaded by TTO:
Add namespace names for Malayalam (ml)

https://gerrit.wikimedia.org/r/87515
Comment 3 This, that and the other (TTO) 2013-10-04 07:40:23 UTC
As for the aliases:

* Module and Module talk will work by default, no need to do anything for them;
* ഘ and ഘസം: you would need to seek community consensus for these aliases
  on each Malayalam wiki, as this is an issue for each community.
Comment 4 Gerrit Notification Bot 2013-10-04 08:08:00 UTC
Change 87515 merged by jenkins-bot:
Add namespace names for Malayalam (ml)

https://gerrit.wikimedia.org/r/87515
Comment 5 This, that and the other (TTO) 2013-10-04 10:15:10 UTC
Thanks Siebrand for the quick service :)

This is now a shellpolicy site request issue regarding the namespace alias.
Comment 6 Siebrand Mazeland 2013-10-04 11:11:58 UTC
(In reply to comment #5)
> Thanks Siebrand for the quick service :)
> 
> This is now a shellpolicy site request issue regarding the namespace alias.

It's advisable to not make multiple change requests in a single ticket.
Comment 7 praveenp 2013-10-04 11:56:11 UTC
Since some ml.wiki communities are significantly small, Malayalam Wikipedia and Wikimedia Malayalam mailing list generally act as the main discussion platforms. Though I didn't share this information through public mailing list, I shared this translation few weeks before, to Admin mailing list where Admins from all the projects share their ideas and got no objections.

So If possible add these short aliases (ഘ -> Module, ഘസം -> Module talk) to all ml.wiki projects.
Comment 8 Tomasz W. Kozlowski 2013-11-15 09:48:38 UTC
There are two methods of solving this request that I can think of:

#1: Add the two aliases for each Malayalam project inside operations/mediawiki-config/wmf-config/InitialiseSettings.php (easy but laborious and inelegant);

#2: Add the two aliases for all MediaWiki projects inside core/languages/messages/MessagesMl.php (easy and elegant, but requires vetting from Siebrand or Santhosh, since no languages at the moment use aliases for NS_MODULE or NS_MODULE_TALK).

I'm not aware of any methods to add aliases inside the Scribunto extension itself at the moment, but if there is one, please let me know (and document it if possible).

@Siebrand, @Santhosh: Do you guys see any reason not do #2? I'm really loath to add so many aliases into InitialiseSettings.php...
Comment 9 Santhosh Thottingal 2013-11-15 12:02:47 UTC
(In reply to comment #8)
> I'm not aware of any methods to add aliases inside the Scribunto extension
> itself at the moment, but if there is one, please let me know 

In Scribunto.namespaces.php, add

$namespaceAliases = array();
$namespaceAliases['ml'] = array(
	'ഘ' => 828,
	'ഘസം' => 829,
);
Comment 10 Tomasz W. Kozlowski 2013-11-15 13:15:05 UTC
Thanks, Santhosh; will do.
Comment 11 Gerrit Notification Bot 2013-11-15 17:03:13 UTC
Change 95637 had a related patch set uploaded by Odder:
(bug 54951) Add Malayalam aliases for 828 and 829

https://gerrit.wikimedia.org/r/95637
Comment 12 Gerrit Notification Bot 2013-11-17 22:32:09 UTC
Change 95637 merged by jenkins-bot:
(bug 54951) Add Malayalam aliases for 828 and 829

https://gerrit.wikimedia.org/r/95637
Comment 13 Gerrit Notification Bot 2013-12-11 16:58:02 UTC
Change 100801 had a related patch set uploaded by Reedy:
Revert "(bug 54951) Add Malayalam aliases for 828 and 829"

https://gerrit.wikimedia.org/r/100801
Comment 14 Brad Jorsch 2013-12-11 17:13:24 UTC
Gerrit change #95637 caused bug 58074 and has been reverted. $namespaceAliases in an i18n file is not merged like $namespaceNames is.
Comment 15 Gerrit Notification Bot 2013-12-11 17:18:17 UTC
Change 100804 had a related patch set uploaded by Reedy:
Revert "(bug 54951) Add Malayalam aliases for 828 and 829"

https://gerrit.wikimedia.org/r/100804
Comment 16 Gerrit Notification Bot 2013-12-11 17:18:34 UTC
Change 100805 had a related patch set uploaded by Reedy:
Revert "(bug 54951) Add Malayalam aliases for 828 and 829"

https://gerrit.wikimedia.org/r/100805
Comment 17 Gerrit Notification Bot 2013-12-11 17:25:44 UTC
Change 100804 merged by jenkins-bot:
Revert "(bug 54951) Add Malayalam aliases for 828 and 829"

https://gerrit.wikimedia.org/r/100804
Comment 18 Gerrit Notification Bot 2013-12-11 17:27:28 UTC
Change 100805 merged by jenkins-bot:
Revert "(bug 54951) Add Malayalam aliases for 828 and 829"

https://gerrit.wikimedia.org/r/100805
Comment 19 Brad Jorsch 2013-12-11 18:11:37 UTC
Not helpful, Gerrit bot.
Comment 20 Gerrit Notification Bot 2013-12-12 01:39:51 UTC
Change 100801 merged by jenkins-bot:
Revert "(bug 54951) Add Malayalam aliases for 828 and 829"

https://gerrit.wikimedia.org/r/100801
Comment 21 This, that and the other (TTO) 2013-12-13 11:29:38 UTC
(In reply to comment #8)
> #1: Add the two aliases for each Malayalam project inside
> operations/mediawiki-config/wmf-config/InitialiseSettings.php (easy but
> laborious and inelegant);

I think we're at a point where this looks like the best option to resolve this issue.
Comment 22 Gerrit Notification Bot 2013-12-16 16:59:57 UTC
Change 101889 had a related patch set uploaded by Odder:
Add Malayalam aliases for NS_MODULE, NS_MODULE_TALK

https://gerrit.wikimedia.org/r/101889
Comment 23 Vishnu Nk 2013-12-22 06:24:14 UTC
this one fixed?
Comment 24 Bawolff (Brian Wolff) 2013-12-22 06:38:05 UTC
(In reply to comment #23)
> this one fixed?

No. Odder's patch is still awaiting review. Bugs are only "fixed" once someone has reviewed the patch (Specificly someone with +2 rights). That said someone has already submitted a potential fix, so there's nothing that you can fix on this bug, as someone has already done that.
Comment 25 Andre Klapper 2014-02-17 19:28:35 UTC
(In reply to Gerrit Notification Bot from comment #22)
> Change 101889 had a related patch set uploaded by Odder:
> Add Malayalam aliases for NS_MODULE, NS_MODULE_TALK
> 
> https://gerrit.wikimedia.org/r/101889

Still awaiting review...
Comment 26 Gerrit Notification Bot 2014-03-12 17:33:56 UTC
Change 101889 abandoned by Odder:
Add Malayalam aliases for NS_MODULE, NS_MODULE_TALK

https://gerrit.wikimedia.org/r/101889

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links